GDBserver

Namespaces | Functions | Variables
linux-aarch64-tdesc-selftest.c File Reference
`#include "server.h"`
`#include "tdesc.h"`
`#include "common/selftest.h"`
`#include "linux-aarch64-tdesc.h"`

Go to the source code of this file.

## Namespaces
| selftests
| selftests::tdesc

## Functions
void | init_registers_aarch64 (void)
static void | selftests::tdesc::aarch64_tdesc_test ()
void | initialize_low_tdesc ()

## Variables
const struct target_desc * | tdesc_aarch64

## Function Documentation

## ◆ init_registers_aarch64()

void init_registers_aarch64 | ( | void |  | ) |

Referenced by initialize_low_tdesc().

## ◆ initialize_low_tdesc()

void initialize_low_tdesc | ( |  | ) |

Definition at line 39 of file linux-aarch64-tdesc-selftest.c.

Referenced by initialize_low_arch().

## Variable Documentation

## ◆ tdesc_aarch64

const struct target_desc* tdesc_aarch64

Referenced by selftests::tdesc::aarch64_tdesc_test().